Skip to main content
GET
https://enterprise.spacemedia.uk
/
api
/
v1
/
upgrade
View Upgrade Options
curl --request GET \
  --url https://enterprise.spacemedia.uk/api/v1/upgrade \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "can_upgrade": true,
    "has_memberships": true,
    "has_pay_per_release": true,
    "payment_methods": {
      "stripe": true,
      "paypal": true,
      "airwallex": true
    },
    "packages": [
      {
        "id": "pkg_pro_2026",
        "uuid": "pkg_pro_2026",
        "name": "Pro Organization",
        "type": "membership",
        "price": 49,
        "currency": "GBP",
        "interval": "monthly",
        "status": "published"
      }
    ],
    "pay_per_release_plans": [
      {
        "id": "ppr_single_2026",
        "uuid": "ppr_single_2026",
        "name": "Single Release Credit",
        "release_type": "single",
        "price": 9,
        "currency": "GBP",
        "active": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spacemedia.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

Response

Success

The response is of type object.